<?xml version="1.0" encoding="UTF-8"?>
<!--
Copyright (C) 2016 Stephan Kreutzer

This file is part of onix_to_woocommerce_1, a submodule of the
digital_publishing_workflow_tools package.

onix_to_woocommerce_1 is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License version 3 or any later version,
as published by the Free Software Foundation.

onix_to_woocommerce_1 is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License 3 for more details.

You should have received a copy of the GNU Affero General Public License 3
along with onix_to_woocommerce_1. If not, see <http://www.gnu.org/licenses/>.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

  <xsl:template match="ONIXmessage">
    <xsl:comment> This file was generated by extract_upload_files_list.xsl of onix_to_woocommerce_1 workflow, a submodule of the digital_publishing_workflow_tools package, which is free software licensed under the GNU Affero General Public License 3 or any later version (see https://github.com/publishing-systems/digital_publishing_workflow_tools/ and http://www.publishing-systems.org). </xsl:comment><xsl:text>&#xA;</xsl:text>
    <wordpress-media-library-upload-files-list>
      <xsl:apply-templates select="/ONIXmessage/product"/>
    </wordpress-media-library-upload-files-list>
  </xsl:template>

  <xsl:template match="/ONIXmessage/product">
    <product>
      <xsl:attribute name="id">
        <!-- ISBN-13 -->
        <xsl:value-of select="/ONIXmessage/product/productidentifier[./b221/text() = '15']/b244//text()"/>
      </xsl:attribute>
      <xsl:apply-templates select="./mediafile"/>
    </product>
  </xsl:template>

  <xsl:template match="/ONIXmessage/product/mediafile[./f114/text() = '01' and ./f116/text() = '06']">
    <xsl:choose>
      <xsl:when test="/ONIXmessage/product/productidentifier[./b221/text() = '15']/b244">
        <upload>
          <xsl:attribute name="path">
            <xsl:value-of select="./f117//text()"/>
          </xsl:attribute>
          <xsl:attribute name="type">
            <xsl:text>product</xsl:text>
          </xsl:attribute>
        </upload>
      </xsl:when>
      <xsl:otherwise>
        <error/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="/ONIXmessage/product/mediafile[./f114/text() = '04' and ./f116/text() = '06']">
    <xsl:choose>
      <xsl:when test="/ONIXmessage/product/productidentifier[./b221/text() = '15']/b244">
        <upload>
          <xsl:attribute name="path">
            <xsl:value-of select="./f117//text()"/>
          </xsl:attribute>
          <xsl:attribute name="type">
            <xsl:text>front-cover</xsl:text>
          </xsl:attribute>
        </upload>
      </xsl:when>
      <xsl:otherwise>
        <error/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="text()|@*"/>

</xsl:stylesheet>
